commit:     098e5caa61c32f8aba9d3323ae16994a4c56a81e
Author:     Tobias Klausmann <klausman <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  7 08:42:51 2016 +0000
Commit:     Tobias Klausmann <klausman <AT> gentoo <DOT> org>
CommitDate: Wed Sep  7 08:45:05 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=098e5caa

dev-python/flake8: Stop build from trying to install pytest-runner

The build system unconditionally requires pytest-runner, which we may
not install (if test is not in FEATURES). I then "helpfully" tries to
install it, causing sandbox violations.

 dev-python/flake8/flake8-3.0.4.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/dev-python/flake8/flake8-3.0.4.ebuild 
b/dev-python/flake8/flake8-3.0.4.ebuild
index 841e387..9dc4a49 100644
--- a/dev-python/flake8/flake8-3.0.4.ebuild
+++ b/dev-python/flake8/flake8-3.0.4.ebuild
@@ -44,7 +44,10 @@ PDEPEND="
 
 python_prepare_all() {
        # Gentoo has flake8 support restored in >=pep8-1.6.2-r1.
-       sed -e 's:, != 1.6.2::' -i setup.py || die
+       sed -i -e 's:, != 1.6.2::' setup.py || die
+       # Flake8 falsely assumes it needs pytest-runner unconditionally and will
+       # try to install it, causing sandbox violations.
+       sed -i -e "/setup_requires=\['pytest-runner'\],/d" setup.py || die
 
        distutils-r1_python_prepare_all
 }

Reply via email to